TauP_Wavefront (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_Wavefront

Package edu.sc.seis.TauP

# Class TauP_Wavefront

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Time
edu.sc.seis.TauP.TauP_Pierce
edu.sc.seis.TauP.TauP_Path
edu.sc.seis.TauP.TauP_Wavefront

    public class TauP_Wavefront
    extends TauP_Path

Plots of wavefronts, distance along the ray at points in time.

- ## Field Summary

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Path

  `gmtScript, mapWidth, mapWidthUnit, maxPathInc, maxPathTime, psFile, withTime`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Pierce

  `addDepth, onlyAddPoints, onlyRevPoints, onlyTurnPoints, onlyUnderPoints`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Time

  `arrivals, azimuth, backAzimuth, degrees, depth, distKilometers, eventLat, eventLon, GUI, modelName, onlyPrintRayP, onlyPrintTime, phaseNames, receiverDepth, relativeArrival, relativePhaseName, stationLat, stationLon, takeoffAngle, tMod, tModDepth`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TauP_Wavefront()` |
  `TauP_Wavefront​(TauModel tMod)` |
  `TauP_Wavefront​(TauModel tMod, java.lang.String outFileBase)` |
  `TauP_Wavefront​(java.lang.String modelName)` |
  `TauP_Wavefront​(java.lang.String modelName, java.lang.String outFileBase)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<SeismicPhase,​java.util.Map<java.lang.Float,​java.util.List<TimeDist>>>` | `calcIsochron()` |
  `void` | `calculate​(double degrees)` |
  `int` | `getNumRays()` |
  `float` | `getTimeStep()` |
  `void` | `init()` | preforms intialization of the tool.
  `boolean` | `isNegDistance()` |
  `boolean` | `isSeparateFilesByTime()` |
  `static void` | `main​(java.lang.String[] args)` | Allows TauP_Isochron to run as an application.
  `java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] args)` |
  `void` | `printResult​(java.io.PrintWriter out)` |
  `void` | `printScriptBeginning​(java.io.PrintWriter out)` | a noop that allows overriding classes to print things before results are calculated.
  `void` | `printUsage()` | prints the known command line flags.
  `void` | `setNegDistance​(boolean negDistance)` |
  `void` | `setNumRays​(int numRays)` |
  `void` | `setSeparateFilesByTime​(boolean separateFilesByTime)` |
  `void` | `setTimeStep​(float timeStep)` |
  `void` | `start()` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Path

  `getMapWidth, getMapWidthUnit, getMaxPathInc, getMaxPathTime, getOutFileExtension, isGmtScript, printDistRadius, printLatLon, printScriptBeginning, printScriptBeginningSVG, setGmtScript, setMapWidth, setMapWidthUnit, setMaxPathInc, setMaxPathTime`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Pierce

  `appendAddDepths, depthCorrect, isAddDepth, parseAddDepthsList, setAddDepths, setOnlyAddPoints, setOnlyRevPoints, setOnlyTurnPoints, setOnlyUnderPoints`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Time

  `appendPhaseName, appendPhaseName, calcTakeoff, calcTime, clearArrivals, clearPhaseNames, clearPhases, depthCorrect, destroy, getArrival, getArrivals, getDisconDepths, getNumArrivals, getNumPhases, getPhaseNames, getPhaseNames, getPhaseNameString, getReceiverDepth, getSeismicPhases, getSourceDepth, getTauModel, getTauModelDepthCorrected, getTauModelName, linearInterp, loadTauModel, parseDegreeList, parsePhaseList, printHelp, printResultJSON, printResultText, printStdUsage, printStdUsageHead, readPhaseFile, readTauModel, recalcPhases, setPhaseNames, setPhaseNames, setReceiverDepth, setSourceDepth, setTauModel, sortArrivals`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TauP_Wavefront

    public TauP_Wavefront()

  - ### TauP_Wavefront

    public TauP_Wavefront​(java.lang.String modelName, java.lang.String outFileBase) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Wavefront

    public TauP_Wavefront​(java.lang.String modelName) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Wavefront

    public TauP_Wavefront​(TauModel tMod, java.lang.String outFileBase) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Wavefront

    public TauP_Wavefront​(TauModel tMod) throws TauModelException
    Throws:
      `TauModelException`

- ## Method Details

  - ### calculate

    public void calculate​(double degrees) throws TauModelException
    Overrides:
      `calculate` in class `TauP_Path`
    Throws:
      `TauModelException`

  - ### printUsage

    public void printUsage()
    Description copied from class: `TauP_Pierce`
    prints the known command line flags.
    Overrides:
      `printUsage` in class `TauP_Path`

  - ### printScriptBeginning

    public void printScriptBeginning​(java.io.PrintWriter out) throws java.io.IOException
    Description copied from class: `TauP_Tool`
    a noop that allows overriding classes to print things before results are calculated. For example to set up GMT commands before drawing paths.
    Overrides:
      `printScriptBeginning` in class `TauP_Path`
    Throws:
      `java.io.IOException`

  - ### printResult

    public void printResult​(java.io.PrintWriter out) throws java.io.IOException
    Overrides:
      `printResult` in class `TauP_Path`
    Throws:
      `java.io.IOException`

  - ### calcIsochron

    public java.util.Map<SeismicPhase,​java.util.Map<java.lang.Float,​java.util.List<TimeDist>>> calcIsochron() throws TauModelException
    Throws:
      `TauModelException`

  - ### setNumRays

    public void setNumRays​(int numRays)

  - ### getNumRays

    public int getNumRays()

  - ### getTimeStep

    public float getTimeStep()

  - ### setTimeStep

    public void setTimeStep​(float timeStep)

  - ### isSeparateFilesByTime

    public boolean isSeparateFilesByTime()

  - ### setSeparateFilesByTime

    public void setSeparateFilesByTime​(boolean separateFilesByTime)

  - ### isNegDistance

    public boolean isNegDistance()

  - ### setNegDistance

    public void setNegDistance​(boolean negDistance)

  - ### parseCmdLineArgs

    public java.lang.String[] parseCmdLineArgs​(java.lang.String[] args) throws java.io.IOException
    Overrides:
      `parseCmdLineArgs` in class `TauP_Path`
    Throws:
      `java.io.IOException`

  - ### init

    public void init() throws TauPException
    Description copied from class: `TauP_Time`
    preforms intialization of the tool. Properties are queried for the the default model to load, source depth to use, phases to use, etc. Note that because of the IO inherent in these operations, this method is not appropriate for Applets. Applets should load TauModels themselves and use the setTauModel(TauModel) method.
    Overrides:
      `init` in class `TauP_Time`
    Throws:
      `TauPException`

  - ### start

    public void start() throws java.io.IOException, TauModelException, TauPException
    Overrides:
      `start` in class `TauP_Path`
    Throws:
      `java.io.IOException`
      `TauModelException`
      `TauPException`

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    Allows TauP_Isochron to run as an application. Creates an instance of TauP_Wavefront. ToolRun.main should be used instead.
    Throws:
      `java.io.IOException`